Upstream information

CVE-2015-0292 at MITRE

Description

Integer underflow in the EVP_DecodeUpdate function in crypto/evp/encode.c in the base64-decoding implementation in OpenSSL before 0.9.8za, 1.0.0 before 1.0.0m, and 1.0.1 before 1.0.1h allows remote attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via crafted base64 data that triggers a buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 919648 [RESOLVED], 922501 [RESOLVED], 936586 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
Patchnames:
sledsp3-compat-openssl097g
sledsp3-libopenssl-devel
SUSE Linux Enterprise Desktop 12
  • compat-openssl098 >= 0.9.8j-73.2
  • libopenssl0_9_8 >= 0.9.8j-73.2
  • libopenssl0_9_8-32bit >= 0.9.8j-73.2
Patchnames:
SUSE-SLE-DESKTOP-12-2015-135
SUSE Linux Enterprise Desktop 12 SP1
  • libopenssl0_9_8 >= 0.9.8j-81.1
  • libopenssl0_9_8-32bit >= 0.9.8j-81.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP2
  • libopenssl0_9_8 >= 0.9.8j-102.1
  • libopenssl0_9_8-32bit >= 0.9.8j-102.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP3
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libopenssl0_9_8
SUSE Linux Enterprise Module for Legacy Software 12
  • compat-openssl098 >= 0.9.8j-73.2
  • libopenssl0_9_8 >= 0.9.8j-73.2
  • libopenssl0_9_8-32bit >= 0.9.8j-73.2
Patchnames:
SUSE-SLE-Module-Legacy-12-2015-135
SUSE Linux Enterprise Server 11 SP1-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server 11 SP2-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp2-libopenssl-devel
SUSE Linux Enterprise Server 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp3-libopenssl-devel
SUSE Linux Enterprise Server 11 SP4
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libopenssl0_9_8
SUSE Linux Enterprise Server 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.22.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Patchnames:
secsp3-libopenssl1-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP1
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Patchnames:
slesapp1-compat-openssl097g
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Patchnames:
slesapp2-compat-openssl097g
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp2-libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slesappsp3-compat-openssl097g
slessp3-libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.22.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Patchnames:
secsp3-libopenssl1-devel
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp3-libopenssl-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libopenssl-devel >= 0.9.8j-0.70.1
Patchnames:
sdksp3-libopenssl-devel
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libopenssl-devel >= 0.9.8j-0.70.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libopenssl-devel
SUSE Manager 1.7
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
sleman17sp2-libopenssl-devel
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.70.1
Patchnames:
slestso13-libopenssl-devel
SLE CLIENT TOOLS 10 for x86
  • openssl >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9074
SLE CLIENT TOOLS 10 for s390x
SLE CLIENT TOOLS 10 for x86_64
  • openssl >= 0.9.8a-18.90.1
  • openssl-32bit >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9074
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10482
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10482
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10483
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10483
SUSE Linux Enterprise for SAP Applications 11 SP2
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10507
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • compat-openssl097g >= 0.9.7g-13.29.1
Builds
ZYPP Patch Nr: 9072
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • compat-openssl097g >= 0.9.7g-13.29.1
  • compat-openssl097g-32bit >= 0.9.7g-13.29.1
Builds
ZYPP Patch Nr: 9072
SUSE Manager 1.7 for SLE 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10480
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10480
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SLES for SAP Applications
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10470
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10470
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libopenssl-devel >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Desktop 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Desktop 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise for SAP Applications 11 SP1
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10471
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • openssl >= 0.9.8a-18.90.1
  • openssl-devel >= 0.9.8a-18.90.1
  • openssl-doc >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9076
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • openssl >= 0.9.8a-18.90.1
  • openssl-32bit >= 0.9.8a-18.90.1
  • openssl-devel >= 0.9.8a-18.90.1
  • openssl-devel-32bit >= 0.9.8a-18.90.1
  • openssl-doc >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9076


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 openssl Released
SUSE Linux Enterprise Desktop 10 SP4 openssl Released
SUSE Linux Enterprise Desktop 11 SP1 openssl Released
SUSE Linux Enterprise Desktop 11 SP2 openssl Released
SUSE Linux Enterprise Desktop 11 SP3 openssl Released
SUSE Linux Enterprise Desktop 11 SP4 openssl Released
SUSE Linux Enterprise Desktop 12 GA openssl Released
SUSE Linux Enterprise SDK 11 SP1 openssl Released
SUSE Linux Enterprise SDK 11 SP2 openssl Released
SUSE Linux Enterprise SDK 11 SP3 openssl Released
SUSE Linux Enterprise SDK 11 SP4 openssl Released
SUSE Linux Enterprise SDK 12 GA openssl Released
SUSE Linux Enterprise Server 10 SP3 openssl Released
SUSE Linux Enterprise Server 10 SP4 openssl Released
SUSE Linux Enterprise Server 10 SP4 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP1 openssl Released
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP2 openssl Released
SUSE Linux Enterprise Server 11 SP2 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP3 openssl Released
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP4 openssl Released
SUSE Linux Enterprise Server 12 GA openssl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 openssl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 openssl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 openssl Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 openssl Released
SUSE Linux Enterprise Server for VMWare 11 SP2 openssl Released
SUSE Linux Enterprise Server for VMWare 11 SP3 openssl Released
SUSE Studio Onsite 1.3 openssl Released